Opened 5 months ago

Closed 8 weeks ago

#8787 closed defect (invalid)

Why FFMpeg2.8.x version not merge the patch http://trac.ffmpeg.org/ticket/5905?

Reported by: ChaoYugang Owned by:
Priority: important Component: avformat
Version: unspecified Keywords: TLS1.2
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

Summary of the bug:
The bug has handled in other versions, for example FFmpeg 4.3.1.
http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=e8634fb92e2f624f19ee5fced6481d8ece503119
Does this change apply to version 2.8?
How to reproduce:

% ffmpeg -i input ... output
ffmpeg version
built on ...

Patches should be submitted to the ffmpeg-devel mailing list and not this bug tracker.

Change History (2)

comment:1 Changed 4 months ago by ChaoYugang

  • Priority changed from normal to important

This issue is not needed to reproduced.
I think that just need to merge to version 2.8.X.

comment:2 Changed 8 weeks ago by mkver

  • Resolution set to invalid
  • Status changed from new to closed

Support for older releases is very limited; basically only fixes for memleaks, crashes and undefined behaviour get backported and even for these it is not assured, but depends on the indiviual developer who created the fix. The reason for this is of course a lack of developer manpower. Given that 2.8 is really ancient history at this moment, there is basically zero chance of this patch getting backported to 2.8 (I don't know if it would be safe to do so).
The fix is of course to update to a newer version of FFmpeg.

Note: See TracTickets for help on using tickets.